##### 7.7.8.0. shiftPoly

Procedure from library `freegb.lib` (see freegb_lib).

Usage:
  shiftPoly(p,i); p letterplace poly, i int

Return:
  poly

Assume:
  basering has letterplace ring structure

Purpose:
  compute the i-th shift of letterplace polynomial p

Example:

    LIB "freegb.lib";
    ring r = 0,(x,y,z),dp;
    int uptodeg = 5; int lV = 3;
    def R = makeLetterplaceRing(uptodeg);
    setring R;
    poly f = x(1)*z(2)*y(3) - 2*z(1)*y(2) + 3*x(1);
    shiftPoly(f,1);
    ==> x(2)*z(3)*y(4)-2*z(2)*y(3)+3*x(2)
    shiftPoly(f,2);
    ==> x(3)*z(4)*y(5)-2*z(3)*y(4)+3*x(3)

User manual for Singular version 4-0-3, 2016, generated by texi2html.